neprihlásený Streda, 17. júla 2019, dnes má meniny Bohuslav   DonaskaKvetov.sk - donáška kvetov v SR a zahraničí Pošli kvety
K dispozícii oprava problému s rozšíreniami pre starší Firefox

Značky: Firefox

DSL.sk, 14.5.2019


Organizácia Mozilla aktuálne sprístupnila riešenie problému s deaktivovanými rozšíreniami v prehliadači Firefox pre verzie 52 až 56 svojho prehliadača.

Pre tieto verzie sprístupnila užívateľom inštalovateľné rozšírenie, ktoré rieši problém. Rozšírenie ale nie je určené pre verzie Firefox 57 a vyššie.

Podľa skoršieho oznámenia k dispozícii bude takéto rozšírenie aj pre verzie 57 až 65, pričom pre verzie 52 až 60 bude k dispozícii aj oprava v podobe automaticky distribuovanej aktualizácie zrejme v podobe novej minoritnej verzie.

Ako sme už avizovali, príčinou problémov bol 4. mája exspirovaný tzv. intermediate certifikát používaný Mozillou pri podpisovaní rozšírení zahrnutý v samotných rozšíreniach. V súčasných verziách Firefoxu musia byť všetky nainštalované rozšírenia v bežných verziách prehliadača elektronicky podpísané Mozillou, pričom kvôli exspirovanému certifikátu nebol tento podpis považovaný za platný a rozšírenia boli z toho dôvodu deaktivované.

Medzičasom Mozilla zverejnila aj bližší popis incidentu a riešenia, tieto informácie sme priniesli v tomto článku. Zatiaľ ale nevysvetlila hlavnú príčinu incidentu, prečo sa pri podpisovaní rozšírení používal čoskoro exspirujúci certifikát prípadne ako mala prebiehať jeho plánovaná výmena.

Mozilla najskôr šírila prvotné riešenie problému ako systémové rozšírenie cez mechanizmus tzv. Studies, následne pre posledné verzie Firefox 66 a Firefox ESR 60.6 sprístupnila aj nové minoritné verzie. Problém vyriešila doinštalovaním nového dlhšie platného intermediate certifikátu do zoznamu certifikátov v prehliadači.


      Zdieľaj na Twitteri



Najnovšie články:

Galileo už nejde takmer šesť dní, EÚ podrobnosti nezverejnila
Explóziu Crew Dragon spôsobilo zapálenie titánu, vyžiada si konštrukčnú zmenu
V noci príde k zatmeniu Mesiaca, ďalšie až o 6 rokov
Školy v Nemecku nemôžu používať Office 365, kvôli ochrane osobných údajov študentov
Apple použila v novom MacBook Air zrejme výrazne pomalší SSD
Británia si uctí Turinga, dá ho na novú bankovku
Microsoft Word dosiahol miliardu inštalácií na Androide
Ďalšia vyznamná linuxová distribúcia nebude podporovať 32-bitové PC
Galileo už nejde štyri dni, prevádzkovateľ dôvody nevysvetlil
RTVS v DVB-T zvažuje zrušenie SD, rádiá, prvý multiplex a DVB-T2


Diskusia:
                               
 

No vo FF 52.9.0 esr mi to zablokovalo Noscript, pretoze nemohol byt overeny. Novsiu verziu Noscriptu ako 5.1.9 nenajde, alebo neexistuje. Takze som opat deaktivoval xpinstall.signatures.required, no co ine mi zostava.
BTW novy FF nema ani 1/10 doplnkov ktore pouzivam, zial toto v novej verzii posrali.
Odpovedať Známka: 3.3 Hodnotiť:
 

Toto uz instalovat nebudem. Na reddite vyextrahovali novy certifikat a bol tam aj navod ako ho rucne nahodit. Takze uz ked ho mam nahodeny a hned v ten isty den fungovali aj rozsirenia aj fungovala instalacia novych nebudem instalovat tento doplnok. Pri starsich FF si komunita poradila sama.

FF - v56.0.2
Odpovedať Známka: 10.0 Hodnotiť:

Pridať komentár